libstdc++: __gnu_cxx::__pool_base Struct Reference

libstdc++

__gnu_cxx::__pool_base Struct Reference

`#include <mt_allocator.h>`

Inheritance diagram for __gnu_cxx::__pool_base:
[legend]

## Public Types
typedef unsigned short int | _Binmap_type
typedef std::size_t | size_t

## Public Member Functions
| __pool_base (const _Tune &__options)
bool | _M_check_threshold (size_t __bytes)
size_t | _M_get_align ()
size_t | _M_get_binmap (size_t __bytes)
const _Tune & | _M_get_options () const
void | _M_set_options (_Tune __t)

## Protected Attributes
_Binmap_type * | _M_binmap
bool | _M_init
_Tune | _M_options

## Detailed Description

Base class for pool object.

Definition at line 51 of file mt_allocator.h.

## Member Typedef Documentation

## ◆ _Binmap_type

typedef unsigned short int __gnu_cxx::__pool_base::_Binmap_type

Definition at line 55 of file mt_allocator.h.

## ◆ size_t

typedef std::size_t __gnu_cxx::__pool_base::size_t

Definition at line 56 of file mt_allocator.h.

## Constructor & Destructor Documentation

## ◆ __pool_base() [1/2]

__gnu_cxx::__pool_base::__pool_base | ( |  | ) |
| inlineexplicit

Definition at line 161 of file mt_allocator.h.

## ◆ __pool_base() [2/2]

__gnu_cxx::__pool_base::__pool_base | ( | const _Tune & | __options | ) |
| inlineexplicit

Definition at line 165 of file mt_allocator.h.

## Member Function Documentation

## ◆ _M_check_threshold()

bool __gnu_cxx::__pool_base::_M_check_threshold | ( | size_t | __bytes | ) |
| inline

Definition at line 149 of file mt_allocator.h.

## ◆ _M_get_align()

size_t __gnu_cxx::__pool_base::_M_get_align | ( |  | ) |
| inline

Definition at line 157 of file mt_allocator.h.

## ◆ _M_get_binmap()

size_t __gnu_cxx::__pool_base::_M_get_binmap | ( | size_t | __bytes | ) |
| inline

Definition at line 153 of file mt_allocator.h.

## ◆ _M_get_options()

const _Tune & __gnu_cxx::__pool_base::_M_get_options | ( |  | ) | const
| inline

Definition at line 138 of file mt_allocator.h.

## ◆ _M_set_options()

void __gnu_cxx::__pool_base::_M_set_options | ( | _Tune | __t | ) |
| inline

Definition at line 142 of file mt_allocator.h.

## Member Data Documentation

## ◆ _M_binmap

_Binmap_type* __gnu_cxx::__pool_base::_M_binmap
| protected

Definition at line 179 of file mt_allocator.h.

## ◆ _M_init

bool __gnu_cxx::__pool_base::_M_init
| protected

Definition at line 184 of file mt_allocator.h.

## ◆ _M_options

_Tune __gnu_cxx::__pool_base::_M_options
| protected

Definition at line 177 of file mt_allocator.h.

The documentation for this struct was generated from the following file:

- mt_allocator.h